<!-- main filters -->
<div class="ctf-progress-wrapper">
	<div class="container-fluid">
		<div class="row ctf-progress-head-wrapper col-12">
            <div class="ctf-progress-options">
                <div class="ctf-progress-select-wrapper" *ngIf="!errorMessage">
                    <div class="ctf-progress-select">
                        <svg class="ctf-progress-select-icon" width="20" height="20" viewBox="0 0 24 24">
                            <path [attr.d]="getEventShapePaths().filter" />
                        </svg>
                        <select [(ngModel)]="selectedFilterValue" (change)="onFilterValueChange()">
                            <option *ngFor="let o of filterOptions" [ngValue]="o.id">{{o.name}}</option>
                        </select>
                    </div>
                </div>

                <div class="ctf-progress-select-wrapper" *ngIf="!errorMessage && !setDashboardView">
                    <div class="ctf-progress-select">
                        <svg class="ctf-progress-select-icon" height="20" width="20" viewBox="0 0 24 24">
                            <path [attr.d]="getEventShapePaths().person" />
                        </svg>
                        <select [(ngModel)]="selectedTraineeView" (change)="onTraineeViewChange()">
                            <option [ngValue]="'name'">Name</option>
                            <option [ngValue]="'avatar'">Avatar</option>
                            <option [ngValue]="'both'">Avatar + Name</option>
                        </select>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- detailed individual view? -->
    <div *ngIf="traineeDetailId" class="trainee-detail-container">
        <kypo-trainee-detail
        [trainee]=getTraineeData(traineeDetailId)
        [visualizationData]="visualizationData"
        [trainingInstanceId]="trainingInstanceId"
        (hideDetail)="onTraineeDetailChange()">
        </kypo-trainee-detail>
    </div>

    <!-- main view with visualization -->
    <div *ngIf="!traineeDetailId" class="visualization-container overview" (window:resize)="onResize()">
        <div class="ctfh-row align-items-end ctfh-no-gutters">
            <div *ngIf="hasData" class="ctfh-col-2 final-2-name">
                <div class="ctf-progress-column ctf-progress-teamcolumn">
                    <kypo-viz-hurdling-column-header
                        (onSort)="onSortValueChange('name', $event.sortReverse)"
                        [sortType]="'name'"
                        [selectedSortType]="sortType"
                        [selectedSortReverse]="sortReverse"
                        [label]="'Trainee'">
                    </kypo-viz-hurdling-column-header>
                </div>
            </div>

            <div *ngIf="hasData" class="ctfh-col-2 short"></div>

            <div class="ctfh-col-8 final-8" *ngIf="hasData">
                <div class="ctf-progress-header-levels">
                    <kypo-viz-hurdling-column-header
                            *ngFor="let level of levelSortOptions"
                            (onSort)="onSortValueChange('level', $event.sortReverse, level.index)"
                            [sortType]="'level' + level.index"
                            [selectedSortType]="sortType + sortLevel"
                            [selectedSortReverse]="sortReverse"
                            [label]="level.name"
                            [level]="level">
                    </kypo-viz-hurdling-column-header>
                </div>
            </div>

            <ng-container *ngFor="let column of columns" >
                <div class="ctfh-col-2" [ngClass]="{ 'final-2': view === 'overview' && column === 'time' }">
                    <div class="{{'ctf-progress-column ctf-progress-' + column + 'column'}}">
                        <kypo-viz-hurdling-column-header
                            (onSort)="onSortValueChange(column, $event.sortReverse)"
                            [sortType]="column"
                            [selectedSortType]="sortType"
                            [selectedSortReverse]="sortReverse"
                            [label]="column.charAt(0).toUpperCase() + column.slice(1)">
                        </kypo-viz-hurdling-column-header>
                    </div>
                </div>
            </ng-container>
        </div>

        <div class="empty-data" *ngIf="!hasData">No {{ filterStatus }} trainings available.</div>

        <div class="ctfh-row ctfh-no-gutters ctf-main-container">
            <div class="ctfh-col-2 final-2-name">
                <div class="ctf-progress-column ctf-progress-teamcolumn
                ctf-progress-column-data" id="ctf-progress-teamcolumn" (click)="showTraineeDetail($event)"></div>
            </div>

            <div class="ctfh-col-2 short">
                <div class="ctf-progress-column ctf-progress-comparecolumn ctf-progress-column-data"
                     id="ctf-progress-comparecolumn">
                </div>
            </div>

            <div class="ctfh-col-8 final-8" id="hurdling-space">
                <div class="ctf-progress-chart-wrapper">
                    <div id="ctf-progress-chart"
                         class="ctf-progress"
                         [ngStyle]="{'cursor': 'pointer'}"
                         mouseWheel
                         (mouseWheelUp)="onMouseWheelUp($event)"
                         (mouseWheelDown)="onMouseWheelDown($event)"
                         mouseMove
                         (mouseDrag)="onMouseDrag($event)"
                         (mouseUp)="onMouseUp()"
                         (window:resize)="onResize()"></div>
                </div>
            </div>

            <ng-container *ngFor="let column of columns">
                <div class="ctfh-col-2" [ngClass]="{ 'final-2': view === 'overview' && column === 'time' }">
                    <div class="{{'ctf-progress-column ctf-progress-' + column + 'column ctf-progress-column-data'}}"
                         id="{{'ctf-progress-' + column + 'column'}}">
                    </div>
                </div>
            </ng-container>
        </div>
        <div class="legend-container">
            <kypo-viz-hurdling-legend
                [selectedViewValue]="view"
                (zoomResetChange)="onZoomReset()">
             </kypo-viz-hurdling-legend>
        </div>
    </div>

    <div class="ctfh-container-fluid" *ngIf="errorMessage">
        <div class="ctfh-row ctfh-no-gutters ctfh-col-sm-8 ctfh-offset-sm-2">
            <p class="ctf-progress-error">
                <svg class="ctf-progress-error-icon" width="20" height="20" viewBox="0 0 24 24">
                    <path d="M13,14H11V10H13M13,18H11V16H13M1,21H23L12,2L1,21Z" />
                </svg>
                {{errorMessage}}
            </p>
        </div>
    </div>


</div>